Create interest plan for B3-listed products

Creates an interest plan configuration that defines how the platform calculates interest accrual.

Note: Only Brazilian Stock Exchange (B3) customers should use this endpoint.

Once created, you can apply the interest plan to a specific product or account. For example, you can provide the interest_plan_id when creating a deposit product, when creating a savings account, or when depositing money into an account.

This endpoint generates an Interest plan creation succeeded event.

For more information, refer to the Interest-bearing accounts guide.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body

string
enum
required

Method used to calculate interest accrual.

  • BD/252: Calculates daily interest using a 252-day year and the actual number of business days in each time period.
  • ACTUAL/360: Calculates daily interest using a 360-day year and the actual number of days in each time period.
  • ACTUAL/365: Calculates daily interest using a 365-day year and the actual number of days in each time period.
  • ACTUAL/ACTUAL: Calculates daily interest using the actual number of days in the year (which in the leap year is 366) and the actual number of days in each time period.
Allowed:
string
enum
required

Interest accrual frequency

Allowed:
string
enum
required

Interest payout frequency

Allowed:
string
required

Numeric currency code in ISO 4217 standard

string
required

Interest plan name

string
enum
required

Interest calculation type.

  • SIMPLE: Calculated on the original deposit or investment value.
  • COMPOUND: Calculated on the original value plus the last accumulated interest.
Allowed:
string
enum

Market index used to measure interest value over time. For fixed interest, this field must be null.

  • BOE: Bank of England, UK
  • DI: Interbank Deposit Contract, Brazil
  • FED: Federal Reserve System, USA
  • RBA: Reserve Bank of Australia
  • RBI: Reserve Bank of India
Allowed:
string

Processing code configured in the fee model for charging a tax, penalty, or fee.

string

Nominal annual interest rate, expressed as a decimal fraction. 0.10 = 10% per year. 1.00 = 100% per year. Do not send 10 for 10%. Maximum precision: 8 decimal places. The platform converts this annual rate to the accrual period using accrual_basis and interest_type.

If you pass a value for benchmark, this field must be null. Otherwise, it's required.

double

Additive spread, in the same unit and period as the benchmark rate: nominal annual, decimal fraction. If benchmark is 0.025 and margin is 0.0225, the resulting annual rate is 0.0475.

If you pass a value for benchmark, this field is optional. If benchmark is null, this field must be null also.

double

Multiplier applied to the benchmark rate, expressed as a decimal fraction of 100%. 1.00 = 100% of the benchmark. 1.10 = 110% of the benchmark. 0.95 = 95% of the benchmark. This is not added to the benchmark—use margin for an additive spread.

If you do not pass a value for benchmark, this field must be null. Otherwise, it's required.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json